#
# The device categories we attempt to support via this generic interface.
# An attempt to match each of these categories will be made in this order.
# The match will be executed by doing a regular expression match against
# the output of the UEI -version output.
#
devices=nokia,sonyericsson,sprint,sun3_0,sun,iden,siemens,generic

# 
# Properties for the Nokia invocation
#
nokia.debug.server=true
nokia.predeploy.required=true
nokia.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
 [%otaurl%|-Xjam:transient=%otaurl%]
nokia.match.expression=.*Nokia.*|.*Series.+Concept.*

#
# Properties for SonyEricsson invocation
#
sonyericsson.debug.server=true
sonyericsson.predeploy.required=false
sonyericsson.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%target%|%target%] [%otaurl%|-Xjam:transient=%otaurl%]
sonyericsson.match.expression=^Sony Ericsson J2ME SDK.+|^Sony Ericsson SDK.+

#
# Properties for Sprint invocation
#
sprint.debug.server=true
sprint.predeploy.required=false
sprint.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%target%|%target%] [%otaurl%|-Xjam:transient=%otaurl%] 0
sprint.match.expression=^.*Sprint.*

# 
# Properties for Sun WTK invocation
#
sun.debug.server=true
sun.predeploy.required=false
sun.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%target%|%target%] [%otaurl%|-Xjam:transient=%otaurl%]
sun.match.expression=^J2ME Wireless Toolkit.+|^Sun Java Wireless Toolkit.+|^Sun Java\\(TM\\) Wireless Toolkit.+

# 
# Properties for Sun 3.0 WTK invocation
# Sun 3.0 SDK Doesn't like the target class to be specified on the
# command line.
#
sun3_0.debug.server=true
sun3_0.predeploy.required=false
sun3_0.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%otaurl%|-Xjam:transient=%otaurl%]
sun3_0.match.expression=^Java\\(TM\\) Platform Micro Edition SDK 3\.0.*

# 
# Properties for the Siemens/BenQ invocation
#
siemens.debug.server=true
siemens.predeploy.required=true
siemens.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
-Xdevice:%device% [%jadfile%|-Xdescriptor:%jadfile%] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%otaurl%|-Xjam:transient=%otaurl%]
siemens.match.expression=.*Siemens.*|.*BenQ.*

# 
# Properties for the Motorola iDen invocation
#
iden.debug.server=true
iden.predeploy.required=true
iden.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%target%|%target%] [%otaurl%|-Xjam:transient=%otaurl%]
iden.match.expression=Motorola iDEN.*

# 
# Properties for a generic UEI invocation
# This assumes that most generic UEI implementations are either
# based on or act similarly to the Sun WTK implementation.
# The biggest difference is the removal of the trailing "0" from
# the invocation command that is supposed to by the listening port
# that the Sun WTK appears to require.  The other difference in this
# is that the "safer" route is taken for pre-deployment.  It is assumed
# that deploying prior to launch would be a safer route.
#
generic.debug.server=true
generic.predeploy.required=true
generic.launch.template=%executable% \
[%debugPort%|-Xdebug -Xrunjdwp:transport=dt_socket,suspend=y,server=y,address=%debugPort%] \
[%classpath%|-classpath "%classpath%"] -Xdevice:%device% [%jadfile%|"-Xdescriptor:%jadfile%"] [%verbose%|-Xverbose:%verbose%] \
[%heapsize%|-Xheapsize:%heapsize%] [%securityDomain%|-Xdomain:%securityDomain%] %userSpecifiedArguments% \
[%target%|%target%] [%otaurl%|-Xjam:transient=%otaurl%]

# This match expression will match anything. Therefore, it is important that this
# definition be the last in the list of devices in the devices property.
generic.match.expression=^.+

